Gtk2::HSV(3)

NAME
Gtk2::HSV - wrapper for GtkHSV

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::HSV

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable

METHODS

  widget = Gtk2::HSV->new

  (h, s, v) = $hsv->get_color

  $hsv->set_color ($h, $s, $v)

•   $h (double)

•   $s (double)

•   $v (double)

  (r, g, b) = Gtk2::hsv_to_rgb ($h, $s, $v)

•   $h (double)

•   $s (double)

•   $v (double)

  boolean = $hsv->is_adjusting

  (size, ring_width) = $hsv->get_metrics

  $hsv->set_metrics ($size, $ring_width)

•   $size (integer)

•   $ring_width (integer)

  (h, s, v) = Gtk2::rgb_to_hsv ($r, $g, $b)

•   $r (double)

•   $g (double)

•   $b (double)

SIGNALS

changed (Gtk2::HSV)
move (Gtk2::HSV, Gtk2::DirectionType)

ENUMS AND FLAGS

  enum Gtk2::DirectionType

•   'tab-forward' / 'GTK_DIR_TAB_FORWARD'

•   'tab-backward' / 'GTK_DIR_TAB_BACKWARD'

•   'up' / 'GTK_DIR_UP'

•   'down' / 'GTK_DIR_DOWN'

•   'left' / 'GTK_DIR_LEFT'

•   'right' / 'GTK_DIR_RIGHT'

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.